summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_posix.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2005-06-08 18:01:25 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:17:50 -0500
commita94d89d2d4a5e72abd38143b9455d81b74777277 (patch)
tree12841af3f239525a7ab1be040b5820f49cd3e227 /source4/script/tests/test_posix.sh
parentbe6b73de65201c5f0dd147918a259faa62e7faa1 (diff)
downloadsamba-a94d89d2d4a5e72abd38143b9455d81b74777277.tar.gz
samba-a94d89d2d4a5e72abd38143b9455d81b74777277.tar.bz2
samba-a94d89d2d4a5e72abd38143b9455d81b74777277.zip
r7402: - don't stop after a failed test
- some more fixes metze (This used to be commit e90b83d03887ed713745280267caa6f2fd549e0f)
Diffstat (limited to 'source4/script/tests/test_posix.sh')
-rwxr-xr-xsource4/script/tests/test_posix.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/source4/script/tests/test_posix.sh b/source4/script/tests/test_posix.sh
index f970321191..b245dc9ff0 100755
--- a/source4/script/tests/test_posix.sh
+++ b/source4/script/tests/test_posix.sh
@@ -29,11 +29,22 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
}
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
+}
tests="BASE-FDPASS BASE-LOCK1 BASE-LOCK2 BASE-LOCK3 BASE-LOCK4"
tests="$tests BASE-LOCK5 BASE-LOCK6 BASE-LOCK7 BASE-UNLINK BASE-ATTR"
@@ -50,11 +61,14 @@ tests="$tests RAW-EAS RAW-STREAMS RAW-ACLS"
soon="BASE-CHARSET RAW-OPLOCK RAW-NOTIFY BASE-DELAYWRITE"
+failed=0
for t in $tests; do
if [ ! -z "$start" -a "$start" != $t ]; then
continue;
fi
start=""
echo Testing $t
- testit $VALGRIND bin/smbtorture $ADDARGS $unc -U"$username"%"$password" $t
+ testit $VALGRIND bin/smbtorture $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
done
+
+testok $0 $failed